Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## groovy.transform
[Java] Annotation Type TypeChecked.TypeCheckingInfo

    java.lang.Object
      groovy.transform.TypeChecked.TypeCheckingInfo

    @Retention(RetentionPolicy.RUNTIME)
    @Target(ElementType.METHOD)
    public @interface TypeChecked.TypeCheckingInfo

This annotation is added by

TypeChecked:
  on methods which have type checking turned on. It is used to embed type information into binary, so that the type checker can use this information, if available, for precompiled classes.

Required Element Summary
`java.lang.String` | `inferredType` An encoded type information.

Optional Element Summary
`int` | `version` Returns the type checker information protocol number.

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Element Detail

### inferredType

    public java.lang.String inferredType

  An encoded type information.
  Returns:
    the inferred type

### version

    public int version

  Returns the type checker information protocol number. This is used if the format of the string used in inferredType() changes. @default 0
  Returns:
    the protocol version

Groovy Documentation